QA:Testcase realmd join packages

From FedoraProject

Revision as of 08:33, 6 May 2013 by Dspurek (Talk | contribs)

Jump to: navigation, search



Join the current machine to an Active Directory, and prevent automatic installation of packages.


  1. Fulfill the prerequisites and make sure your Active Directory domain access works. realmd 0.14.0+ and adcli 0.6+ are required.
  2. You need a domain account as an administrator.
  3. Leave realm(s) you are currently joined to.
  4. Remove necessary packages for joining active directory:
    $ sudo yum remove sssd adcli sssd-tools
  5. Tell realmd not to automatically install packages, by placing these lines in your /etc/realmd.conf.
automatic-install = no

How to test

  1. Discover the domain, which should list the required packages:
    $ realm discover
    Check the required-package lines.
  2. Try to join the domain, which should fail and list packages needed:
    $ realm join --user=Administrator
    The packages needed should be listed, like: sssd, sssd-tools

Expected Results

  1. Now install the packages listed above using a yum command:
    $ sudo yum install sssd adcli sssd-tools samba-common
  2. Perform the join again, this time it should complete without error


Use the --verbose argument to see details of what's being done during a join. Include verbose output in any bug reports.

$ realm join --verbose